curl --request POST \
--url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/execute \
--header 'Content-Type: application/json' \
--header 'X-Asteroid-Agents-Api-Key: <api-key>' \
--data '
{
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfilePoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dynamicData": {},
"executionOptions": {
"sharedStorageKey": "<string>",
"softTimeoutMins": 2
},
"inputs": {},
"metadata": {},
"tempFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"version": 123
}
'{
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Execute an agent
Start an execution for the given agent.
curl --request POST \
--url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/execute \
--header 'Content-Type: application/json' \
--header 'X-Asteroid-Agents-Api-Key: <api-key>' \
--data '
{
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfilePoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dynamicData": {},
"executionOptions": {
"sharedStorageKey": "<string>",
"softTimeoutMins": 2
},
"inputs": {},
"metadata": {},
"tempFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"version": 123
}
'{
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The ID of the agent to execute
Body
Execution request parameters
The ID of the agent profile to use for this execution. Mutually exclusive with agentProfilePoolId.
The ID of the agent profile pool to select a profile from. Mutually exclusive with agentProfileId.
Deprecated: Use 'inputs' instead. Inputs to be merged into the placeholders defined in prompts
Per-execution runtime options that override or extend the agent's default settings.
Show child attributes
Show child attributes
Inputs to be merged into the placeholders defined in prompts
Optional metadata key-value pairs (string keys and string values) for organizing and filtering executions
Array of temporary files to attach to the execution. Must have been pre-uploaded using the stage file endpoint
Show child attributes
Show child attributes
The version of the agent to execute. If not provided, the latest version will be used.
Response
The request has been accepted for processing, but processing has not yet completed.
The ID of the newly created execution

